GraphicLoader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.graphicLoader
Interface GraphicLoader

All Known Implementing Classes:
  AbstractGraphicLoader, LOSGraphicLoader, MMLGraphicLoader, NetMapGraphicLoader

    public interface GraphicLoader

The interface that describes an object that supplies updates to OMGraphics presented by the GraphicLoaderPlugIn.

Method Summary
`java.awt.Component` | `getGUI()` The method that calls the GUI that controls the GraphicLoader.
`java.lang.String` | `getName()` Get a pretty name for GUI representation that lets folks know what the GraphicLoader does.
`OMGraphicHandler` | `getReceiver()` Get the OMGraphicHandler that will receive OMGraphic updates from the GraphicLoader.
`void` | `setProjection(Projection p)` Let the GraphicLoader know what the projection is.
`void` | `setReceiver(OMGraphicHandler r)` Set the OMGraphicHandler that will receive OMGraphic updates from the GraphicLoader.

Method Detail

### getGUI

    java.awt.Component getGUI()

  The method that calls the GUI that controls the GraphicLoader.

### setProjection

    void setProjection(Projection p)

  Let the GraphicLoader know what the projection is.

### setReceiver

    void setReceiver(OMGraphicHandler r)

  Set the OMGraphicHandler that will receive OMGraphic updates from the GraphicLoader.

### getReceiver

    OMGraphicHandler getReceiver()

  Get the OMGraphicHandler that will receive OMGraphic updates from the GraphicLoader.

### getName

    java.lang.String getName()

  Get a pretty name for GUI representation that lets folks know what the GraphicLoader does.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details